/*
 *
 *  Linux HardSID Ioctl calls
 *
 *  Copyright (C) 2001-2002 Jarno Paananen <jpaana@s2.org>
 *  Copyright (C) 2001      Simon White    <s_a_white@email.com>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License
 *      as published by the Free Software Foundation; either version
 *      2 of the License, or (at your option) any later version.
 *
 */

#ifndef _hardsid_h_
#define _hardsid_h_

#ifdef __KERNEL__
#   include <linux/ioctl.h>
#else
#   include <sys/ioctl.h>
#endif

/* The ioctls we use */
#define HSID_IOCTL_RESET     _IOW('S', 0, int)
#define HSID_IOCTL_FIFOSIZE  _IOR('S', 1, int)
#define HSID_IOCTL_FIFOFREE  _IOR('S', 2, int)
#define HSID_IOCTL_SIDTYPE   _IOR('S', 3, int)
#define HSID_IOCTL_CARDTYPE  _IOR('S', 4, int)
#define HSID_IOCTL_MUTE      _IOW('S', 5, int)
#define HSID_IOCTL_NOFILTER  _IOW('S', 6, int)
#define HSID_IOCTL_FLUSH     _IO ('S', 7)
#define HSID_IOCTL_DELAY     _IOW('S', 8, int)
#define HSID_IOCTL_READ      _IOWR('S', 9, int*)

#endif /* _hardsid_h_ */
